class NetworkConfigResult {
  final Network? networkInfo;
  final NetworkConfig? networkConfig;
  final List<Tier>? networkTiers;

  NetworkConfigResult(this.networkInfo, this.networkConfig, this.networkTiers);
}

class Network {
  final String id;
  final String name;

  Network(this.id, this.name);
}

class NetworkConfig {
  final int exchangeRate;
  final String currencyImg;
  final String currencyName;
  final String? cardDefaultImg;
  final String? avatarDefaultImg;
  final bool? allowToGetMemberByPhone;
  final String? faqWebUrl;
  final String? benefitWebUrl;
  final String? brandColor;
  final bool? allowMerchantIssueMemberCard;

  NetworkConfig(
    this.exchangeRate,
    this.currencyImg,
    this.currencyName,
    this.cardDefaultImg,
    this.avatarDefaultImg,
    this.allowToGetMemberByPhone,
    this.faqWebUrl,
    this.benefitWebUrl,
    this.brandColor,
    this.allowMerchantIssueMemberCard,
  );
}

class Tier {
  final String code;
  final String name;
  final int fromPoint;
  final String? cardTieredImg;
  final String? tierIconImg;

  Tier(this.code, this.name, this.fromPoint, this.cardTieredImg, this.tierIconImg);
}
