import 'status.dart';
import 'transaction_type.dart';

class TransactionHistory {
  final List<Transaction> transactions;
  final PageData pageData;

  TransactionHistory(this.transactions, this.pageData);
}

class Transaction {
  final String id;
  final String? refId;
  final String? orderCode;
  final TransactionType txnType; // init
  final String txnTypeText;
  final String? txnDesc;
  final AccountingType accountingType; // credit
  final Status? status; //init
  final int point;
  final int createdAt;
  final String createdBy;
  final int networkId;
  final String networkName;
  final String? merchantCode;
  final String? merchantName;
  final String? terminalCode;
  final String? terminalName;
  final String? terminalAddress;

  Transaction(
    this.id,
    this.refId,
    this.orderCode,
    this.txnType,
    this.txnTypeText,
    this.txnDesc,
    this.accountingType,
    this.status,
    this.point,
    this.createdAt,
    this.createdBy,
    this.networkId,
    this.networkName,
    this.merchantCode,
    this.merchantName,
    this.terminalCode,
    this.terminalName,
    this.terminalAddress,
  );
}

enum AccountingType { debit, credit }

class PageData {
  final int currentPage;
  final int totalPage;
  final int pageSize;
  final int totalItems;

  PageData(this.currentPage, this.totalPage, this.pageSize, this.totalItems);
}
